@use 'commons';

:root {
  --global-background-color: #FDFDFB;
  --global-color: #263238;
  --link-background-color: transparent;
  --link-color: var(--global-color);
  --link-hover-background-color: inherit;
  --link-hover-color: #616161;

  --menu-background-color: transparent;
  --menu-color: var(--link-color);
  --menu-hover-background-color: #424242;
  --menu-hover-color: #FAFAFA;
  --menu-padding: .5rem .75rem;

  --primary-background-color: #33CC99;
  --primary-color: #353535;
  --primary-link-hover-background-color: inherit;
  --primary-link-hover-color: #424242;

  --secondary-background-color: var(--global-background-color);
  --secondary-color: var(--global-color);
  --secondary-link-hover-background-color: inherit;
  --secondary-link-hover-color: var(--link-hover-color);

  --footer-background-color: #FAFAFC;
  --footer-color: #424242;
}

// @media (prefers-color-scheme: dark) {
// }

body {
  background-color: var(--global-background-color);
  color: var(--global-color);
}

a {
  background-color: var(--link-background-color);
  color: var(--link-color);

  &:focus,
  &:hover {
    background-color: var(--link-hover-background-color);
    color: var(--link-hover-color);
  }
}

.logo {
  height: 3rem;
}

.logo-title {
  font-size: 2rem;
  margin-left: .15rem
}

.menu-item {
  margin-right: .25rem;
}

.menu-item:last-child {
  margin-right: 0;
}

.menu-link {
  background-color: var(--menu-background-color);
  color: var(--menu-color);
  padding: var(--menu-padding);
}

.menu-link:focus,
.menu-link:hover {
  background-color: var(--menu-hover-background-color);
  color: var(--menu-hover-color);
}

.main-box {
  margin-top: -10%;
  width: 100%;

  .title {
    margin-top: -10%;
    margin-right: 5%;

    h1 {
      font-size: 4rem;
      font-weight: 400;
      margin-bottom: 3%;
    }

    h3 {
      font-weight: 100;
    }
  }

  .title-logo {
    width: 35%;

    img {
      width: 100%;
    }
  }
}

hr {
  border: 3px solid var(--global-color);
  max-width: 150px;
  margin: 1rem auto;
}

section {
  padding: 3rem 0;
}

.primary-content {
  background-color: var(--primary-background-color);
  color: var(--primary-color);

  a {
    color: var(--primary-color);

    &:focus,
    &:hover {
      background-color: var(--primary-link-hover-background-color);
      color: var(--primary-link-hover-color);
    }
  }

  hr {
    border-color: var(--primary-color);
  }
}

.secondary-content {
  background-color: var(--secondary-background-color);
  color: var(--secondary-color);

  a {
    color: var(--secondary-color);

    &:focus,
    &:hover {
      background-color: var(--secondary-link-hover-background-color);
      color: var(--secondary-link-hover-color);
    }
  }

  hr {
    border-color: var(--secondary-color);
  }
}

.sponsor-items {
  img {
    height: 10rem;
  }
}

footer {
  background-color: var(--footer-background-color);
  color: var(--footer-color);

  a {
    color: var(--footer-color);

    &:hover,
    &:focus {
      text-decoration: underline;
    }
  }

  p {
    font-size: .9rem;
    line-height: 1.5;
    font-weight: 300;
  }

  p:last-child {
    margin-bottom: 0;
  }
}